## r-other-bio3d 1.0

=== DESCRIPTION ===
Package: bio3d
Title: Biological Structure Analysis
Version: 1.0-8
Author: Barry Grant
Suggests: ncdf, lattice, grid, bigmemory
Description: The bio3d package contains utilities to process, organize and explore protein structure, sequence and dynamics data.  Features include the ability to read and write structure, sequence and dynamic trajectory data, perform database searches, atom summaries, atom selection, re-orientation, superposition, rigid core identification, clustering, torsion analysis, distance matrix analysis, structure and sequence conservation analysis, and principal component analysis (PCA).  In addition, various utility functions are provided to enable the statistical and graphical power of the R environment to work with biological sequence and structural data.  Please refer to the URL below for more information.
Maintainer: Barry Grant <bgrant@mccammon.ucsd.edu>
License: GPL version 2 or newer
URL: http://mccammon.ucsd.edu/~bgrant/bio3d/
Packaged: 2010-04-12 22:19:19 UTC; bgrant

## r-other-bio3d 1.1

=== DESCRIPTION ===
Package: bio3d
Title: Biological Structure Analysis
Version: 1.1-4
Author: Barry Grant
Suggests: ncdf, lattice, grid, bigmemory
Description: The bio3d package contains utilities to process, organize and explore protein structure, sequence and dynamics data.  Features include the ability to read and write structure, sequence and dynamic trajectory data, perform database searches, atom summaries, atom selection, re-orientation, superposition, rigid core identification, clustering, torsion analysis, distance matrix analysis, structure and sequence conservation analysis, and principal component analysis (PCA).  In addition, various utility functions are provided to enable the statistical and graphical power of the R environment to work with biological sequence and structural data.  Please refer to the URL below for more information.
Maintainer: Barry Grant <bgrant@mccammon.ucsd.edu>
License: GPL version 2 or newer
URL: http://mccammon.ucsd.edu/~bgrant/bio3d/
Packaged: 2012-04-05 18:11:07 UTC; barry
Depends: R (>= 2.10)

## r-other-bio3d 1.1-0

=== debian/changelog ===
r-other-bio3d (1.1-0-1) unstable; urgency=low

  * New upstream version
  * Added myself to uploaders
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/copyright: more generic source location
  * debian/rules: fix cut-n-pasto in header comments
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2010 14:07:10 +0100

r-other-bio3d (1.0-8-1) unstable; urgency=low

  * New upstream release (Closes: #577386). 
  * Added a tilde to the R:Depends substvar to also accept pre-release
    versions (debian/rules).
  * Allow upload by Debian Maintainers (debian/control).
  * Suggests r-cran-bigmemory, that is not yet available (debian/control).

 -- Charles Plessy <plessy@debian.org>  Tue, 13 Apr 2010 08:19:29 +0900

r-other-bio3d (1.0-7-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version (debian/control) to reflect compliance
    with Policy 3.8.4.
  * Depend on a version equal or superior than the R upstream release that
    was used to build this package, using a R:Depends substvar
    (debian/control, debian/rules).
  * Added notes to explain how this package is tested (debian/README.Debian).

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Mar 2010 14:02:42 +0900

r-other-bio3d (1.0-6-1) unstable; urgency=low

  * New upstream release.
  * Mended debian/watch thanks to Yan Morin (Closes: #551414).
  * Conforms to Policy 3.8.3:
    - Changed section to gnu-r (debian/control).
    - Added VCS fields (debian/control).
    - Incremented Standards-Version (debian/control).
  * Switched to Debhelper 7 (debian/control, debian/compat).
  * Depend on ${misc:Depends}, not on ${shlibs:Depends} (debian/compat).
  * Added myself to Uploaders (debian/control).
  * Added various upstream informations in debian/upstream-metadata.yaml.
  * Deleted debian/files, not needed.
  * Converted debian/copyright to experimental machine-readable format.

 -- Charles Plessy <plessy@debian.org>  Thu, 22 Oct 2009 13:07:32 +0900

r-other-bio3d (1.0-5-1.1) unstable; urgency=low

  * Non-maintainer upload
  
  * debian/control: Removed myself from uploaders as
     - Steffen never asked me whether I wanted to be included 
     - Steffen never removed me despited repeated requests to do so
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Nov 2008 13:28:02 -0600

r-other-bio3d (1.0-5-1) unstable; urgency=low

  * Initial release (closes: #492499).

 -- Steffen Moeller <moeller@debian.org>  Sat, 26 Jul 2008 19:08:08 +0200

=== debian/control ===
Source: r-other-bio3d
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>, Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>> 7), cdbs, r-base-dev
Standards-Version: 3.9.1
Homepage: http://mccammon.ucsd.edu/~bgrant/bio3d/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-other-bio3d/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/R/r-other-bio3d/trunk/

Package: r-other-bio3d
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Suggests: r-cran-ncdf, r-cran-bigmemory, r-cran-rocr, mafft
Description: GNU R package for biological structure analysis
 The bio3d package contains utilities to process, organize and explore
 protein structure, sequence and dynamics data.  Features include the
 ability to read and write structure, sequence and dynamic trajectory
 data, perform atom summaries, atom selection, re-orientation,
 superposition, rigid core identification, clustering, torsion analysis,
 distance matrix analysis, structure and sequence conservation analysis,
 and principal component analysis (PCA).  In addition, various utility
 functions are provided to enable the statistical and graphical power of
 the R environment to work with biological sequence and structural data.

## r-other-bio3d 1.1-3

=== debian/changelog ===
r-other-bio3d (1.1-3-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version to reflect compliance with Policy 3.9.2.
    (debian/control, no changes needed)
  * Corrected Vcs-* URLs (debian/control).

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Jun 2011 14:40:42 +0900

r-other-bio3d (1.1-2-1) unstable; urgency=low

  * New upstream release.
  * Reformatted debian/copyright following DEP-5.
  * Moved test instructions from README.Debian to README.test.
  * Use Debhelper 8 (debian/control, debian/compat).

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Mar 2011 23:22:05 +0900

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 DM-Upload-Allowed: yes
 Uploaders: Steffen Moeller <moeller@debian.org>, Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>> 7), cdbs, r-base-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), cdbs, r-base-dev
+Standards-Version: 3.9.2
 Homepage: http://mccammon.ucsd.edu/~bgrant/bio3d/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-other-bio3d/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/R/r-other-bio3d/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-other-bio3d/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-other-bio3d/trunk/
 
 Package: r-other-bio3d
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-other-bio3d package
# Copyright 2008-2010 Steffen Moeller <moeller@debian.org>,
#                     Charles Plessy <plessy@debian.org>

debRreposname := other
include /usr/share/R/debian/r-cran.mk

# Require a number equal or superior than the R version the package was built with.
install/r-$(debRreposname)-$(cranName)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/r-$(debRreposname)-$(cranName).substvars

## r-other-bio3d 1.1-4

=== debian/changelog ===
r-other-bio3d (1.1-4-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version: 3.9.3 (no changes needed)
    - Build-Depends: r-base-dev (>= 2.14.2~20120222) which is supporting
      R:Depends substitution variable
  * debian/rules: Remove R:Depends substitution variable which is now
    included in /usr/share/R/debian/r-cran.mk
  * debian/upstream: removed duplicated entry doi and moved pmid to
    references
  * debian/copyright: Fixed DEP5 issues using
      cme fix dpkg-copyright
    and some additional information

 -- Andreas Tille <tille@debian.org>  Thu, 19 Apr 2012 09:31:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 DM-Upload-Allowed: yes
 Uploaders: Steffen Moeller <moeller@debian.org>, Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, r-base-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.14.2~20120222)
+Standards-Version: 3.9.3
 Homepage: http://mccammon.ucsd.edu/~bgrant/bio3d/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-other-bio3d/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-other-bio3d/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-other-bio3d package
# Copyright 2008-2010 Steffen Moeller <moeller@debian.org>,
#                     Charles Plessy <plessy@debian.org>

debRreposname := other
include /usr/share/R/debian/r-cran.mk

## r-other-bio3d 1.1-5

=== debian/changelog ===
r-other-bio3d (1.1-5-1build1) saucy; urgency=low

  * Rebuild against R 3.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 10:07:36 +0100

r-other-bio3d (1.1-5-1) unstable; urgency=low

  * New upstream version
  * New homepage.
  * Remove copyright statement for trivial makefile.
  * Conforms to Policy version 3.9.4.
  * Using Debhelper 9.
  * Deleted obsolete DM-Upload-Allowed field.
  * Normalised VCS URLs following Lintian's standards.

 -- Charles Plessy <plessy@debian.org>  Sat, 13 Apr 2013 12:55:21 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Steffen Moeller <moeller@debian.org>, Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.14.2~20120222)
-Standards-Version: 3.9.3
-Homepage: http://mccammon.ucsd.edu/~bgrant/bio3d/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-other-bio3d/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-other-bio3d/trunk/
+Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 2.14.2~20120222)
+Standards-Version: 3.9.4
+Homepage: http://thegrantlab.org/bio3d/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-other-bio3d/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-other-bio3d/trunk/
 
 Package: r-other-bio3d
 Architecture: all

=== debian/watch ===
version=3
http://mccammon.ucsd.edu/~bgrant/bio3d/download/download.html \
 http://mccammon.ucsd.edu/~bgrant/bio3d/bio3d_(.+)\.tar\.gz
